﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'ruaq';
    src: url('/Assets/fonts/Ruaq/RuaqArabic-Regular.ttf') format('woff');
}

body {
    direction: rtl;
    font-size: 1.4rem !important;
    font-family: 'ruaq', sans-serif;
    overflow-x: hidden;
    background-color: #F3F4F4 !important;
}

* {
    margin: 0; /* Removes default margin */
    padding: 0; /* Removes default padding */
    line-height: 1 !important; /* Normalizes the line height */
    vertical-align: middle !important; /* Centers text and icons better */
    font-size: inherit !important; /* Keeps the font size consistent */
    font-family: 'ruaq', sans-serif; /* Define your desired font */
}

html {
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 0;
}

.form-label {
    margin-inline-start: 0.5rem;
}
label.form-label.required::after {
    content: " *";
    color: red;
}
.cursor-pointer {
    cursor: pointer !important;
}

.spinner-container {
    position: fixed;
    width: 100%;
    height: 100%;
    /*  display: flex;
    justify-content: center;
    align-items: center;*/
    top: 0;
    left: 0;
    background-color: #fff;
    z-index: 998;
    overflow:hidden !important;
}

    .spinner-container img {
        position: absolute !important;
        width: 35% !important;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%,-50%) !important;
        animation: spin .4s alternate infinite !important;
    }


.primary-btn {
    background-color: transparent !important;
    color: #628FC6 !important;
    border: 1px solid #628FC6 !important;
    font-weight: 500 !important;
}

.secodary-btn {
    color: #628FC6 !important;
    border: 1px solid #628FC6 !important;
    background-color: transparent !important;
    font-weight: 500 !important;
    border-radius: 10px;
    padding-bottom: 7px;
    padding-inline: 23px;
}
.secondary-color {
     color: #628FC6 !important;
}

.input-remove-data input {
    padding:3px !important;
    border-radius:6px !important
}


@keyframes spin {
    0% {
        transform: scale(1) !important;
    }

    100% {
        transform: scale(1.1) !important;
    }
}

/*
    general classes
*/
.carousel {
    margin-top: 100px;
}
.carousel-item {
    height: 100vh !important;
}
.brd-12 {
    border-radius: 12px !important;
}

.btn-outline-primary {
    background: transparent !important;
    border-color: #628FC6 !important;
    color: #628FC6 !important;
    border-radius: 7px;
    padding: 8px 3rem;
}

    .btn-outline-primary:hover {
        background: #D05DCB !important;
        border-color: #D05DCB !important;
        color: #fff !important;
    }

.title-primary {
    font-weight: bold;
    font-size: 3rem;
    color:  #D05DCB !important;
}

.bg-sec-blue {
    background-color: #628FC6 !important;
}

.btn-primary {
    background: #628FC6 !important;
    border-color: #628FC6 !important;
}

    .btn-primary:hover {
        background:  #D05DCB !important;
        border-color:  #D05DCB !important;
    }

.form-control, .form-select {
    border-radius: 12px !important;
}

    .form-control:focus, .form-select:focus {
        border-color: #ced4da !important;
        box-shadow: none !important;
    }

.input-group-text.select-append[b-l4ui59uy1o] {
    border-radius: 12px 0 0 12px !important;
}

.input-group > .form-control, .input-group > .form-select {
    border-radius: 0 12px 12px 0 !important;
}

body {
    height: 100vh; /* Make body content larger to enable scrolling */
    overflow-y: scroll; /* Enable vertical scrolling */
}

    body::-webkit-scrollbar {
        width: 12px;
    }

    body::-webkit-scrollbar-thumb {
        background-color: #C2C1C1;
        border-radius: 6px;
    }

    body::-webkit-scrollbar-track {
        background: #F5F5F5;
    }

i {
    /*    font-size: inherit !important; */
    font-size: 16px !important;
    line-height: 1 !important;
    vertical-align: middle !important;
}

h1, h2, h3, h4, h5, h6 {
      font-weight: bold; 
    margin-bottom: 0.5em; /* Uniform spacing below all headings */
}

.h3, h3 {
    font-size: 2.2rem !important;
}

.h2, h2 {
    font-size: calc(1.325rem + .9vw) !important;
}

@media (min-width: 1200px) {
    .h1, h1 {
        font-size: 2.5rem !important;
    }
}

@media (min-width: 1200px) {
    .h4, h4 {
        font-size: 2rem !important;
    }
}

input.form-control, select.form-control {
    font-size: 16px !important;
}

.form-control {
    font-size:16px !important
}

select {
    line-height: 1.2 !important;
}


.brd-12 {
    border-radius: 12px !important;
}


.primary-color-bg {
    background-color:  #D05DCB !important;
}

.secondary-color-3 {
    color: rgba(61, 126, 185, 1) !important;
}

login-btn:hover {
    background-color: #628FC6 !important
}



/*.btn-outline-primary {
    background: transparent !important;
    border-color: #628FC6 !important;
    color: #628FC6 !important;
}

    .btn-outline-primary:hover {
        background: #D05DCB !important;
        color: #fff !important;
    }*/

.title-primary {
    color:  #D05DCB;
}
.style-title {
    font-weight: bold;
    font-size: 3rem;
    color: #f37931 !important;
}
.card {
    min-height: 300px !important;
    border-radius: 1rem !important;
}

.col-lg-10.col-md-10.col-10 {
/*    display: grid;*/
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 1rem;
    margin-bottom: 1rem;
}

.date {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #628FC6;
    border-radius: 16px;
    color: #fff;
    width: 6rem;
    height: 6rem;
}

    .date i {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40px;
        height: 40px;
        border-radius: 12px;
        background: #ffffff66;
    }

.card.multaqa-tablee-card {
    display: flex;
    /*flex-direction: row;*/
    border: none !important;
    /*    text-align: start;*/
    background-color: #f5f5f5;
    border-radius: 12px;
    height: 23rem;
}

    .card.multaqa-tablee-card .col-lg-7 {
        /* display: flex;
        align-items: center;*/
        height: 23rem;
    }

.card-title {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color:  #D05DCB;
    border-radius: 0 12px 12px 0;
    font-size: 20px !important;
    font-weight: 700;
    color: #fff;
    height: 23rem;
    padding: 5px 5px 0 5px;
}

.card-desc {
    background-color: #f5f5f5;
    border-radius: 12px 0 0 12px;
    text-align: start;
    height: 100%;
    font-size: 17px !important;
    font-weight: 600;
    color: #15445a;
    padding: 15px 0 0 5px;
    display: flex;
    align-items: center;
}

.card {
    border: none;
}
    .card-body

{
    display: flex;
    flex-direction: column;
    row-gap: 15px;
    padding-block: 0 !important;
}

.img-div {
    border-radius: 10px;
    width: 166px;
    height: 246px;
    padding: 0;
}
.work-shop-div {
    width: 160px;
    position: absolute;
    height: 228px;
    border-radius: 0px 11px 0px 0px;
    top: 0;
    right: 0;
}
.work-shop-text {
    background-color: #628FC6 !important;
    width: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 74px;
    position: absolute;
    bottom: 0;
    right: 0;
    text-align: center;
    border-radius: 0px 0px 11px;
}
.map-div {
    flex-grow: 1;
}
    .map-div h5 {
        color: white;
    }

.map-div h3 {
    color: #628FC6;
}



.text-div {
    padding: 0;
    display: flex;
    justify-content: center;
    color: white;
    align-items: center;
    width: 100%;
    margin-top: 10px;
    background-color: #0188a3;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    font-size: 19px;
    text-align: center;
}

.text-div p {
    margin-top: .5rem;
    margin-bottom: 1rem;
}


.moltqa-table {
    height: fit-content;
}

    .moltqa-table i {
        color: gray;
        font-size: 30px;
    }

    .moltqa-table img {
        width: 10%
    }

.mb-ve4 {
    margin-bottom: -4rem;
}

.multaqa-tablees h2 {
    font-weight: 500;
    color:  #D05DCB;
    text-align: center;
}

.multaqa-tablees h4 {
    background-color:  #D05DCB;
    border-radius: 1rem 1rem 0 0;
    box-shadow: rgb(0 0 0 / 10%) 0px 4px 12px;
    color: #fff;
}

.multaqa-tablees .card {
    border: 0;
    box-shadow: rgb(0 0 0 / 10%) 0px 4px 12px;
    border-radius: 0 0 1rem 1rem;
}

    .multaqa-tablees .card .card-body {
        border-radius: 0 0 1rem 1rem;
        box-shadow: rgb(0 0 0 / 10%) 0px 4px 12px;
    }

.card-header {
    background: linear-gradient(270deg, rgba(243,125,50,1) 50%, rgba(245,151,90,1) 50%);
    border-radius: 11px 11px 0 0;
    height: 20%;
}

.card-content {
    padding: 42px;
    background-color: white;
    border-radius: 0 0 11px 11px;
}
    .card-content li {
        color:  #D05DCB !important
    }




.circle {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    position: relative;
}

.mt-10 {
    margin-top: 10px !important;
    color: white
}


.talkers-container {
    align-items: center;
    padding: 20px 26px;
    border-radius: 50px 0 0 50px;
    border: 1px solid #628FC6;
    border-right: 0;
    position: relative;
    width: 65%;
}

.profile-image {
    width: 105px;
    height: 105px;
    border-radius: 50%;
    position: absolute;
    right: -75px;
    top: 0px;
}
/*.speakers-container {
    width: 100vw;
    height: 100vh;
}

    .speakers-container h2 {
        padding-top: 8rem
    }


.text {
    color: #fff !important
}*/





@media (min-width: 820px) and (max-width: 1024px) {
    .col-lg-10.col-md-10.col-10 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 1rem;
        margin-bottom: 1rem;
    }


}

.font-1 {
    font-size:14px !important
}

.card {
    border: none;
}

.card-body {
    display: flex;
    flex-direction: column;
    row-gap: 15px;
    padding-block: 0 !important;
}

.img-div {
    border-radius: 10px;
    padding: 0;
}


.map-div {
    flex-grow: 1;
}
    .map-div h5 {
        color: white;
    }

.map-div h3 {
    color: #628FC6;
}



.text-div {
    padding: 0;
    display: flex;
    justify-content: center;
    color: white;
    align-items: center;
    width: 100%;
    margin-top: 10px;
    background-color: #0188a3;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    font-size: 19px;
    text-align: center;
}

.text-div p {
    margin-top: .5rem;
    margin-bottom: 1rem;
}




    @media (min-width: 576px) and (max-width: 992px) {
        .spinner-container img {
            position: absolute !important;
            width: 50% !important;
            top: 50% !important;
            left: 50% !important;
            transform: translate(-50%,-50%) !important;
            animation: spin .4s alternate infinite !important;
        }
        .card.multaqa-tablee-card {
            height: fit-content;
        }
        .col-lg-10.col-md-10.col-10 {
            display: grid;
            grid-template-columns: repeat(1, 1fr);
            grid-gap: 1rem;
            margin-bottom: 1rem;
        }
        .card.multaqa-tablee-card .col-lg-7 {
            height: fit-content;
        }

        .multaqa-tablee .col-lg-4.text-center.mb-lg-0.mb-md-0.mb-5.mb-lg-0.mb-md-0.mb-5 {
            margin-bottom: 12rem !important;
        }

        .card.multaqa-tablee-card {
            margin-bottom: 1rem;
        }

        .card-title {
            border-radius: 12px 12px 0 0;
            padding: 5px;
            padding-block: 1rem;
            height: fit-content;
        }

        .card-desc {
            border-radius: 12px;
            padding: 5px;
            align-items: start;
            padding-right: 2rem;
            padding-top: 1rem;
        }
    }

    @media (max-width: 575px) {
        .spinner-container img {
            position: absolute !important;
            width: 100% !important;
            top: 50% !important;
            left: 50% !important;
            transform: translate(-50%,-50%) !important;
            animation: spin .4s alternate infinite !important;
        }
        .col-lg-10.col-md-10.col-10 {
            display: grid;
            grid-template-columns: repeat(1, 1fr);
            grid-gap: 1rem;
            margin-bottom: 1rem;
        }

        .card.multaqa-tablee-card {
            /* margin-bottom: 5rem;*/
            height: fit-content;
        }

            .card.multaqa-tablee-card .col-lg-7 {
                height: fit-content;
            }
        /*.multaqa-tablee .col-lg-4.text-center.mb-lg-0.mb-md-0.mb-5.mb-lg-0.mb-md-0.mb-5 {
        margin-bottom: 11rem !important;
    }*/
        .card-title {
            border-radius: 12px 12px 0 0;
            height: fit-content;
            padding-block: 1rem;
        }

        .card-desc {
            border-radius: 12px;
            padding: 5px;
            align-items: start;
            padding-right: 2rem;
            padding-top: 1rem;
        }
    }



.about-moltqa ul li {
    font-size: 15px !important;
    line-height: 1.5 !important;
    margin-bottom: 5px;
}


button.btn-search {
    background-color: #fff;
    color: #CE53C8;
    border: 0.5px solid #CE53C8;
    border-radius: 8px;
    padding: 0.375rem 0.75rem;
}

    button.btn-search:hover, button.btn-search:focus {
        background-color: #CE53C8;
        border: 0.5px solid #CE53C8;
        color: #fff;
        box-shadow: none !important;
    }

label.form-label {
    -webkit-margin-start: 0.5rem !important;
    margin-inline-start: 0.5rem !important;
    font-size: 1rem !important;
    color: #000;
}


input[type="text"],
input[type="url"],
input[type="email"],
.form-select {
    border-radius: 8px;
}

span.input-group-text {
    border-bottom-left-radius: 8px !important;
    border-top-left-radius: 8px !important;
}

select.select {
    border-bottom-right-radius: 8px !important;
    border-top-right-radius: 8px !important;
}

input[type="text"]:focus,
input[type="url"]:focus,
input[type="email"]:focus,
.form-select:focus {
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 1px solid #ced4da;
}



button.save-btn {
    margin-inline-end: 1rem;
    border: transparent;
    background-color: #628FC6;
    color: #fff;
    position: relative;
    overflow: hidden;
    border-radius: 7px;
    padding: 8px 3rem;
}

    button.save-btn :active,
    button.save-btn :focus,
    button.save-btn :hover {
        color: #fff;
        background-color: #D05DCB;
        box-shadow: none !important;
    }

@keyframes shining {
    0% {
        transform: rotate(-20deg) translateX(-90px);
    }

    100% {
        transform: rotate(-20deg) translate(140px, 70px);
    }
}


 /*ul.circled-items {
    list-style: none;*/
    /*width: 90%;*/
    /*margin: 0 auto;
    opacity: 0;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    background-color:red;
}

 ul.circled-items b.title {
        color: #628FC6;
    }

   ul.circled-items li {
        display: flex;
        align-items: center;
        width: fit-content;
        justify-content: center;
        padding: 6px 10px;
        border-radius: 15px;
        color: #fff;
        margin-inline-end: 5px;
        margin-bottom: 5px;
        font-size: 1rem;
    }

.orange-bg {
    background-color: #D05DCB !important;
}*/

.orange-text {
    color: #628FC6;
}



.multaqa-tablee {
    padding-block: 4rem;
    padding-inline: 2rem;
}

    .multaqa-tablee h4 {
        font-size: 40px !important;
        font-weight: 700;
        text-align: center;
        margin-bottom: 5rem;
        color:  #D05DCB !important;
    }

    .multaqa-tablee .multaqa-table-container {
        display: flex;
        justify-content: end;
        align-items: center;
    }

        .multaqa-tablee .multaqa-table-container .multaqa-date {
            position: relative;
            width: fit-content;
        }

            .multaqa-tablee .multaqa-table-container .multaqa-date img {
                position: relative;
            }

            .multaqa-tablee .multaqa-table-container .multaqa-date span {
                position: absolute;
                top: 75%;
                left: 56%;
                transform: translate(-50%, -50%);
                color: #fff;
                font-size: 14px !important;
                white-space: nowrap;
            }

            .multaqa-tablee .multaqa-table-container .multaqa-date button {
                position: absolute;
                color:  #D05DCB;
                top: 50%;
                transform: translateY(-50%);
                background-color: transparent;
                border: none;
                font-weight: bolder;
            }

                .multaqa-tablee .multaqa-table-container .multaqa-date button.btn-next {
                    right: -2rem;
                }

                .multaqa-tablee .multaqa-table-container .multaqa-date button.btn-prev {
                    left: -2rem;
                }

                .multaqa-tablee .multaqa-table-container .multaqa-date button.btn-prev {
                    left: -2rem;
                }

    .multaqa-tablee .cards .card {
        background-color: #fff !important;
        border-radius: 0 0 24px 24px !important;
        border: none !important;
        width: 100% !important;
        height: fit-content !important;
    }

        .multaqa-tablee .cards .card .card-titlee {
            background-color:  #D05DCB;
            border-radius: 6px 6px 24px 24px;
            padding-block: 16px !important;
            text-align: center;
            color: #fff;
            font-size: 24px !important;
            font-weight: 600;
        }

        .multaqa-tablee .cards .card .card-info {
            border-radius: 0 0 24px 24px;
            background-color: #fff;
            position: relative;
            z-index: 1;
            padding: 1rem 3rem;
        }

            .multaqa-tablee .cards .card .card-info li {
                font-size: 18px !important;
                color: #3f3f3f;
                margin-bottom: 1rem;
            }

                .multaqa-tablee .cards .card .card-info li::marker {
                    font-size: 1rem !important;
                    color: #3f3f3f;
                }


.error-message {
    font-size: 16px !important;
    margin-inline: 8px !important;
    margin-top: 5px !important;
    display: inline-block !important;
}

.card.info {
    min-height: 300px !important;
}

<<<<<<< Updated upstream
.min-height-300 {
    min-height: 300px !important;
}

button.swal2-confirm.swal2-styled {
    background-color: #D05DCB !important;
    color:#fff
}

button.swal2-cancel.swal2-styled {
    border: 1px solid #D05DCB;
    background-color:transparent;
    color: #D05DCB;
}